import { MenuItem } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { BaseElement } from './smart.element';
export { ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { MenuItem } from './../index';
export declare class MenuItemComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<MenuItem>);
    private eventHandlers;
    nativeElement: MenuItem;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description  */
    get checked(): boolean;
    set checked(value: boolean);
    /** @description Enables or disables element. */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description  */
    get label(): any;
    set label(value: any);
    /** @description  */
    get level(): number;
    set level(value: number);
    /** @description  */
    get separator(): boolean;
    set separator(value: boolean);
    /** @description  */
    get shortcut(): string;
    set shortcut(value: string);
    /** @description  */
    get value(): any;
    set value(value: any);
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
